STOCKFISH 14–19Latest release: 19Explore engines ↗

Documentation / API reference

POST /v1/billing/checkout

Auth
Bearer API key (keyless allowed with limits on eval and bestmove)

Request body

FieldTypeDefaultNotes
plan *hobby | pro
curl -s https://stockfishapi.com/v1/billing/checkout \
  -H "Authorization: Bearer $STOCKFISH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"plan":"hobby"}'
const res = await fetch("https://stockfishapi.com/v1/billing/checkout", {
  method: "POST",
  headers: { Authorization: `Bearer ${process.env.STOCKFISH_API_KEY}`, "Content-Type": "application/json" },
  body: JSON.stringify({
    "plan": "hobby"
  }),
});
const data = await res.json();
import os, requests

r = requests.post(
    "https://stockfishapi.com/v1/billing/checkout",
    headers={"Authorization": f"Bearer {os.environ['STOCKFISH_API_KEY']}"},
    json={
        "plan": "hobby"
    },
)
data = r.json()

Responses

StatusMeaning
200Checkout URL

Errors follow problem+json with next_action.